package com.bc_chat.account.contract;

import com.bc_chat.bc_base.contract.WebContract;

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：
 */
public interface LoginContract {
    interface Presenter {
        /**
         * 登录
         *
         * @param phone 账户
         */
        void login(String phone, String password);
    }

    interface View extends WebContract.View {
        void loginSuccess(String userId);

        void loginFailure(Exception exception);
    }
}
